# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: hestia/event/clik.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from hestia.api import clik_pb2 as hestia_dot_api_dot_clik__pb2
from weclikd.common import follow_pb2 as weclikd_dot_common_dot_follow__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='hestia/event/clik.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x17hestia/event/clik.proto\x12\x07weclikd\x1a\x15hestia/api/clik.proto\x1a\x1bweclikd/common/follow.proto\".\n\x0f\x43reateClikEvent\x12\x1b\n\x04\x63lik\x18\x01 \x01(\x0b\x32\r.weclikd.Clik\",\n\rEditClikEvent\x12\x1b\n\x04\x63lik\x18\x01 \x01(\x0b\x32\r.weclikd.Clik\"\"\n\x0f\x44\x65leteClikEvent\x12\x0f\n\x07\x63lik_id\x18\x01 \x01(\x04\"\x99\x01\n\x15\x43reateClikMemberEvent\x12#\n\x06member\x18\x01 \x01(\x0b\x32\x13.weclikd.ClikMember\x12\x31\n\x0b\x61pplication\x18\x02 \x01(\x0b\x32\x1c.weclikd.ClikUserApplication\x12\x17\n\x0finviter_user_id\x18\x03 \x01(\x04\x12\x0f\n\x07members\x18\x04 \x01(\r\"e\n\x15\x44\x65leteClikMemberEvent\x12#\n\x06member\x18\x01 \x01(\x0b\x32\x13.weclikd.ClikMember\x12\x16\n\x0ekicker_user_id\x18\x02 \x01(\x04\x12\x0f\n\x07members\x18\x03 \x01(\r\"`\n\x0f\x46ollowClikEvent\x12\x0f\n\x07\x63lik_id\x18\x01 \x01(\x04\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\x12\x11\n\tfollowers\x18\x03 \x01(\r\"7\n\x11UnfollowClikEvent\x12\x0f\n\x07\x63lik_id\x18\x01 \x01(\x04\x12\x11\n\tfollowers\x18\x02 \x01(\r\"T\n\x0f\x43likInviteEvent\x12\x17\n\x0finvitee_user_id\x18\x01 \x01(\x04\x12\x17\n\x0finviter_user_id\x18\x02 \x01(\x04\x12\x0f\n\x07\x63lik_id\x18\x03 \x01(\x04\"I\n\rClikJoinEvent\x12\x17\n\x0finvitee_user_id\x18\x01 \x01(\x04\x12\x0e\n\x06\x61\x64mins\x18\x02 \x03(\x04\x12\x0f\n\x07\x63lik_id\x18\x03 \x01(\x04\x62\x06proto3'
  ,
  dependencies=[hestia_dot_api_dot_clik__pb2.DESCRIPTOR,weclikd_dot_common_dot_follow__pb2.DESCRIPTOR,])




_CREATECLIKEVENT = _descriptor.Descriptor(
  name='CreateClikEvent',
  full_name='weclikd.CreateClikEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='clik', full_name='weclikd.CreateClikEvent.clik', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=88,
  serialized_end=134,
)


_EDITCLIKEVENT = _descriptor.Descriptor(
  name='EditClikEvent',
  full_name='weclikd.EditClikEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='clik', full_name='weclikd.EditClikEvent.clik', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=136,
  serialized_end=180,
)


_DELETECLIKEVENT = _descriptor.Descriptor(
  name='DeleteClikEvent',
  full_name='weclikd.DeleteClikEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.DeleteClikEvent.clik_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=182,
  serialized_end=216,
)


_CREATECLIKMEMBEREVENT = _descriptor.Descriptor(
  name='CreateClikMemberEvent',
  full_name='weclikd.CreateClikMemberEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='member', full_name='weclikd.CreateClikMemberEvent.member', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='application', full_name='weclikd.CreateClikMemberEvent.application', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='inviter_user_id', full_name='weclikd.CreateClikMemberEvent.inviter_user_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='members', full_name='weclikd.CreateClikMemberEvent.members', index=3,
      number=4, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=219,
  serialized_end=372,
)


_DELETECLIKMEMBEREVENT = _descriptor.Descriptor(
  name='DeleteClikMemberEvent',
  full_name='weclikd.DeleteClikMemberEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='member', full_name='weclikd.DeleteClikMemberEvent.member', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='kicker_user_id', full_name='weclikd.DeleteClikMemberEvent.kicker_user_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='members', full_name='weclikd.DeleteClikMemberEvent.members', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=374,
  serialized_end=475,
)


_FOLLOWCLIKEVENT = _descriptor.Descriptor(
  name='FollowClikEvent',
  full_name='weclikd.FollowClikEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.FollowClikEvent.clik_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowClikEvent.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.FollowClikEvent.followers', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=477,
  serialized_end=573,
)


_UNFOLLOWCLIKEVENT = _descriptor.Descriptor(
  name='UnfollowClikEvent',
  full_name='weclikd.UnfollowClikEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.UnfollowClikEvent.clik_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.UnfollowClikEvent.followers', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=575,
  serialized_end=630,
)


_CLIKINVITEEVENT = _descriptor.Descriptor(
  name='ClikInviteEvent',
  full_name='weclikd.ClikInviteEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='invitee_user_id', full_name='weclikd.ClikInviteEvent.invitee_user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='inviter_user_id', full_name='weclikd.ClikInviteEvent.inviter_user_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikInviteEvent.clik_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=632,
  serialized_end=716,
)


_CLIKJOINEVENT = _descriptor.Descriptor(
  name='ClikJoinEvent',
  full_name='weclikd.ClikJoinEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='invitee_user_id', full_name='weclikd.ClikJoinEvent.invitee_user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='admins', full_name='weclikd.ClikJoinEvent.admins', index=1,
      number=2, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikJoinEvent.clik_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=718,
  serialized_end=791,
)

_CREATECLIKEVENT.fields_by_name['clik'].message_type = hestia_dot_api_dot_clik__pb2._CLIK
_EDITCLIKEVENT.fields_by_name['clik'].message_type = hestia_dot_api_dot_clik__pb2._CLIK
_CREATECLIKMEMBEREVENT.fields_by_name['member'].message_type = hestia_dot_api_dot_clik__pb2._CLIKMEMBER
_CREATECLIKMEMBEREVENT.fields_by_name['application'].message_type = hestia_dot_api_dot_clik__pb2._CLIKUSERAPPLICATION
_DELETECLIKMEMBEREVENT.fields_by_name['member'].message_type = hestia_dot_api_dot_clik__pb2._CLIKMEMBER
_FOLLOWCLIKEVENT.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
DESCRIPTOR.message_types_by_name['CreateClikEvent'] = _CREATECLIKEVENT
DESCRIPTOR.message_types_by_name['EditClikEvent'] = _EDITCLIKEVENT
DESCRIPTOR.message_types_by_name['DeleteClikEvent'] = _DELETECLIKEVENT
DESCRIPTOR.message_types_by_name['CreateClikMemberEvent'] = _CREATECLIKMEMBEREVENT
DESCRIPTOR.message_types_by_name['DeleteClikMemberEvent'] = _DELETECLIKMEMBEREVENT
DESCRIPTOR.message_types_by_name['FollowClikEvent'] = _FOLLOWCLIKEVENT
DESCRIPTOR.message_types_by_name['UnfollowClikEvent'] = _UNFOLLOWCLIKEVENT
DESCRIPTOR.message_types_by_name['ClikInviteEvent'] = _CLIKINVITEEVENT
DESCRIPTOR.message_types_by_name['ClikJoinEvent'] = _CLIKJOINEVENT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CreateClikEvent = _reflection.GeneratedProtocolMessageType('CreateClikEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATECLIKEVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateClikEvent)
  })
_sym_db.RegisterMessage(CreateClikEvent)

EditClikEvent = _reflection.GeneratedProtocolMessageType('EditClikEvent', (_message.Message,), {
  'DESCRIPTOR' : _EDITCLIKEVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditClikEvent)
  })
_sym_db.RegisterMessage(EditClikEvent)

DeleteClikEvent = _reflection.GeneratedProtocolMessageType('DeleteClikEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETECLIKEVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteClikEvent)
  })
_sym_db.RegisterMessage(DeleteClikEvent)

CreateClikMemberEvent = _reflection.GeneratedProtocolMessageType('CreateClikMemberEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATECLIKMEMBEREVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateClikMemberEvent)
  })
_sym_db.RegisterMessage(CreateClikMemberEvent)

DeleteClikMemberEvent = _reflection.GeneratedProtocolMessageType('DeleteClikMemberEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETECLIKMEMBEREVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteClikMemberEvent)
  })
_sym_db.RegisterMessage(DeleteClikMemberEvent)

FollowClikEvent = _reflection.GeneratedProtocolMessageType('FollowClikEvent', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWCLIKEVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowClikEvent)
  })
_sym_db.RegisterMessage(FollowClikEvent)

UnfollowClikEvent = _reflection.GeneratedProtocolMessageType('UnfollowClikEvent', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWCLIKEVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowClikEvent)
  })
_sym_db.RegisterMessage(UnfollowClikEvent)

ClikInviteEvent = _reflection.GeneratedProtocolMessageType('ClikInviteEvent', (_message.Message,), {
  'DESCRIPTOR' : _CLIKINVITEEVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikInviteEvent)
  })
_sym_db.RegisterMessage(ClikInviteEvent)

ClikJoinEvent = _reflection.GeneratedProtocolMessageType('ClikJoinEvent', (_message.Message,), {
  'DESCRIPTOR' : _CLIKJOINEVENT,
  '__module__' : 'hestia.event.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikJoinEvent)
  })
_sym_db.RegisterMessage(ClikJoinEvent)


# @@protoc_insertion_point(module_scope)
